> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dojah.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup NUBAN

> An endpoint that allows you can identify your users through Lookup NUBAN

## What is NUBAN?

NUBAN means Nigerian Uniform Bank Account Number.
It is standardized system for numbering bank accounts in Nigeria

<ParamField header="AppId" type="string" required>
  Application ID from dashboard
</ParamField>

#### Query parameter

<ParamField query="account_number" type="string" required>
  Account Number of user
</ParamField>

<ParamField query="bank_code" type="string" required>
  Bank code associated with the bank
</ParamField>

#### RESPONSES

<ResponseField name="200" type="json">
  json
</ResponseField>

<ResponseField name="400" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="401" type="Object">
  <Expandable title="properties">
    <ResponseField name="error" type="string">
      error message
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "entity": {
      "account_name": "JOHN DOE MUSA",
      "identity_number": "2*****26256",
      "identity_type": "BVN",
      "bank": "First Bank",
      "account_currency": "NGN",
      "first_name": "",
      "last_name": "",
      "other_names": "",
      "gender": "",
      "dob": "",
      "phone": "",
      "postal_code": "",
      "state_code": "",
      "country_code": "",
      "country_of_birth": "",
      "nationality": "",
      "expiry_date": "",
      "address_1": "",
      "address_2": ""
    }
  }

  ```

  ```json 400 theme={null}
  {
    "error": "Invalid request parameters"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "App Couldn't be Validated"
  }
  ```
</ResponseExample>
